<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	date_from_picker = $$('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
	date_to_picker = $$('.f-date-to');
	var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
			
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400
	});
			
	popup.addEvent('loaded', function () {
		date_calendar = $$('.date-calendar');
		var date =	new Picker.Date(date_calendar, { 
			pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 },
			minDate: '2016-03-07',
			maxDate: '2016-03-11',
			format: 'd M Y' });
	});
	
	/* ----------------------- EDIT ---------------------- */
	var popupEdit = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 280
	});
		
	popupEdit.addEvent('loaded', function () {		
			date_calendar = $$('.date-calendar');
			var date =	new Picker.Date(date_calendar, { 
				pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 },
				minDate: '2016-03-07',
				maxDate: '2016-03-11',
				format: 'd M Y' });
	});	
	/* ----------------------- END  EDIT ---------------------- */
	
	var selectedPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 800
	});
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Login Try', field: 'login_try', type: 'number', sortable: true, width: '80px' },
			{ title: 'Date', field: 'date', type: 'Date', sortable: true, width: '1000px' },
			
		],
		sort: {
			field: 'date',
			dir: 'desc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '/lotteries/march-lottery/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.overlay.enable();
						grid.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popupEdit.setTitle('Edit Winner');
			popupEdit.load('/lotteries/march-lottery/edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '/lotteries/march-lottery/data', params: getFilterParams })
	});
	
	
	grid.addEvent('loaded', function () {
	
		
	});
	
	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');
		
		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });


	new Cubix.Button($('btn-add-member'), { onClick: function () {
		popup.setTitle('Add Winner ID'),
		popup.load('<?= $this->baseUrl() ?>/lotteries/march-lottery/add', popup.open);
	}, icon: 'add', caption: 'Add Winner ID' });

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	new Cubix.Button($('btn-selected'), { onClick: function () {
		selectedPopup.setTitle('Winners');
		selectedPopup.load('<?= $this->baseUrl() ?>/lotteries/march-lottery/winners', function () {
			this.open();
		});
	}, icon: 'rosette', caption: 'Winners List', classes: 'ml20' });
	
	selectedPopup.addEvent('loaded', function () {
		
		var selectedGrid = Cubix.Grid.Instance = new Cubix.Grid('cx-candidates-grid', {
			identifier: { field: 'escort_id' },
			header: [
				
				{ title: 'Username', field: 'username', type: 'string', sortable: false, width: '120px' },
				{ title: 'User Type', field: 'user_type', type: 'string', sortable: true, width: '40px' },
				{ title: 'Escort Id / Agency Id', field: 'ea_id', type: 'number', sortable: false, width: '70px' },
				{ title: 'Showname / Agency name', field: 'ea_name', type: 'string', sortable: false, width: '110px' },
				{ title: 'Date', field: 'login_date', type: 'Date', sortable: true, width: '40px' },
			],
			sort: {
				field: 'username ',
				dir: 'desc'
			},
			actions: [ ],
			data: new Cubix.Grid.Loader({ url: '/lotteries/march-lottery/winner-list'})
		});
		
		selectedGrid.addEvent('loaded', function () {
			
			$$('.p-member').addEvent('click', function (e) {
				var self = this;
				e.stop();

				MemberPopup.setTitle('Edit Member');
				MemberPopup.load('<?= $this->baseUrl() ?>/members/edit?id=' + self.get('rel'), function () {
					this.open();
				});
			});
		
			$$('#cx-history-grid .escort-popup a').addEvent('click', function (e) {
				e.stop();

				var data = this.getParent('tr').rowData;
				ePpopup.__mode = 'edit';

				window.EscortPopup.data = data;
				addOrderButton.setStyle('display', 'block')
				window.EscortPopup.setTitle('Edit Escort ' + data.showname);
				window.EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.id, function () {
					this.open();
				});
			});
		});
	});
	
	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form>
				
		<!-- DATE FILTRATION -->
		<fieldset class="inner mb10">
			<legend>Date</legend>

			<div class="inner">
				<label>
					<span>From</span>
				</label>
				<input id="f-date-from" type="text" class="txt w8 f-date-from" name="date_from" value="" />
			</div>

			<div class="inner" style="padding-top: 25px">
				<span> - </span>
			</div>

			<div class="inner">
				<label>
					<span>To</span>
				</label>
				<input id="f-date-to" type="text" class="txt w8 f-date-to" name="date_to" value=""  />
			</div>
			<div class="clear"></div>
		</fieldset>
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div class="mt10">
	<a id="btn-add-member"></a>
	<a id="btn-selected"></a>
	<div class="clear"></div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
